Purchase Orders Search
curl --request POST \
--url https://api-v2.production.higg.org/pic-api/v1/purchase-orders/search \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-developer-request-token: <api-key>' \
--data '
{
"id": [
"<string>"
],
"name": [
"<string>"
],
"textSearch": [
"<string>"
],
"from": 123,
"size": 123,
"tags": [
"<string>"
],
"category": [
"<string>"
],
"productId": [
"<string>"
],
"purchaseOrderDateAfter": "2023-11-07T05:31:56Z",
"purchaseOrderDateBefore": "2023-11-07T05:31:56Z",
"country": [
"<string>"
],
"supplier": [
"<string>"
]
}
'import requests
url = "https://api-v2.production.higg.org/pic-api/v1/purchase-orders/search"
payload = {
"id": ["<string>"],
"name": ["<string>"],
"textSearch": ["<string>"],
"from": 123,
"size": 123,
"tags": ["<string>"],
"category": ["<string>"],
"productId": ["<string>"],
"purchaseOrderDateAfter": "2023-11-07T05:31:56Z",
"purchaseOrderDateBefore": "2023-11-07T05:31:56Z",
"country": ["<string>"],
"supplier": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: ['<string>'],
name: ['<string>'],
textSearch: ['<string>'],
from: 123,
size: 123,
tags: ['<string>'],
category: ['<string>'],
productId: ['<string>'],
purchaseOrderDateAfter: '2023-11-07T05:31:56Z',
purchaseOrderDateBefore: '2023-11-07T05:31:56Z',
country: ['<string>'],
supplier: ['<string>']
})
};
fetch('https://api-v2.production.higg.org/pic-api/v1/purchase-orders/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": 123,
"size": 123,
"total": 123,
"results": [
{
"_id": "<string>",
"product": {
"productId": "<string>",
"name": "<string>",
"category": "<string>",
"categoryComplete": "<string>",
"productCategoryExpansion": {
"label": "<string>",
"id": "<string>",
"picCategory": "<string>",
"flatFileLabel": "<string>",
"version": "<string>",
"receivedOtherId": "<string>"
},
"totalImpact": 123,
"tags": {}
},
"assembly": {
"isDefault": true,
"femId": "<string>",
"facilityName": "<string>",
"finalAssemblyRawText": "<string>",
"surveyVersion": "<string>",
"finalAssemblyImpacts": 123,
"printingProductDyeingImpacts": 123,
"totalNormalizedImpacts": 123,
"sipfacilitytype": [
"<string>"
],
"annualProd": "<string>",
"country": "<string>",
"femDescriptor": "<string>",
"year": 123,
"finishedProductImpacts": 123
},
"createdOn": 123,
"account": {
"_id": "<string>",
"name": "<string>",
"country": "<string>",
"sacId": 123,
"oar_id": "<string>",
"demoaccount": true,
"socialCreditId": "<string>",
"taxId": "<string>",
"bluesignId": "<string>",
"zdhcId": "<string>",
"ipeViolation": {
"totalViolations": 123
},
"ffcId": 123
},
"user": {
"_id": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"purchaseOrderId": "<string>",
"purchaseDate": "<string>",
"amountPurchase": 123,
"pmVersion": "<string>",
"isOutdated": true,
"msiVersion": "<string>",
"version": "<string>",
"impactPerUnit": 123,
"totalImpactPerUnit": 123,
"impactsPerUnit": {
"materialImpact": 123,
"tier1Impact": 123,
"packagingImpact": 123,
"logisticsImpactsUpstreamTD": 123,
"logisticsImpactsDTImpact": 123,
"logisticsImpactsDCImpact": 123,
"logisticsImpactsRetailImpact": 123,
"productCareImpacts": 123,
"endOfUseImpact": 123,
"totalProductImpacts": 123,
"componentImpact": 123
},
"totalImpacts": {
"materialImpact": 123,
"tier1Impact": 123,
"packagingImpact": 123,
"logisticsImpactsUpstreamTD": 123,
"logisticsImpactsDTImpact": 123,
"logisticsImpactsDCImpact": 123,
"logisticsImpactsRetailImpact": 123,
"productCareImpacts": 123,
"endOfUseImpact": 123,
"totalProductImpacts": 123,
"componentImpact": 123
},
"materials": [
{
"name": "<string>",
"netUse": 123,
"materialId": "<string>",
"composition": 123,
"weightInformation": {
"convertedToKg": 123,
"weight": 123,
"netWeight": 123
},
"isMsiMaterial": true,
"isPicMaterialLibrary": true,
"code": "<string>",
"dataSource": "<string>",
"isOutdated": true,
"description": "<string>",
"impacts": {
"tier4Impact": 123,
"tier2and3Impact": 123,
"totalMaterialLibrary": 123,
"totalTierImpact": 123,
"uncertainty": {
"lower": 123,
"upper": 123
}
}
}
],
"components": [
{
"name": "<string>",
"componentId": "<string>",
"unit": 123,
"weightInformation": {
"convertedToKg": 123,
"weight": 123,
"isPrimaryData": true
},
"isMsiComponent": true,
"isOutdated": true,
"dataSource": "<string>",
"description": "<string>",
"impacts": {
"tier4Impact": 123,
"tier2and3Impact": 123,
"totalMaterialLibrary": 123,
"totalTierImpact": 123,
"uncertainty": {
"lower": 123,
"upper": 123
}
}
}
],
"packaging": [
{
"packagingId": "<string>",
"amount": 123,
"name": "<string>",
"weightInformation": {
"convertedToKg": 123,
"weight": 123,
"isPrimaryData": true
},
"isMsiPackaging": true,
"isOutdated": true,
"code": "<string>",
"dataSource": "<string>",
"description": "<string>",
"impacts": {
"tier4Impact": 123,
"tier2and3Impact": 123,
"totalMaterialLibrary": 123,
"totalTierImpact": 123,
"uncertainty": {
"lower": 123,
"upper": 123
}
}
}
],
"weightInformation": {
"convertedToKg": 123,
"weight": 123,
"isPrimaryData": true
},
"packagingWeight": {
"convertedToKg": 123,
"weight": 123,
"isPrimaryData": true
},
"modifiedBy": {
"_id": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"modifiedOn": 123,
"channelCreate": "<string>",
"channelUpdate": "<string>"
}
]
}Purchase Orders
Search Purchase Orders
POST
/
purchase-orders
/
search
Purchase Orders Search
Use this endpoint to search and filter purchase orders across your PIC inventory.
Request body params
| Name | Type | Description |
|---|---|---|
id | Array<string> | Filter by specific purchase order IDs. |
name | Array<string> | Filter by purchase order names. |
textSearch | Array<string> | General text search across multiple fields. |
tags | Array<string> | Filter by tags. |
category | Array<string> | Filter by product category. |
productId | Array<string> | Filter by associated product IDs. |
purchaseOrderDateAfter | string (date-time) | Filter purchase orders after this date (e.g., 2025-01-15T00:00:00Z). |
purchaseOrderDateBefore | string (date-time) | Filter purchase orders before this date (e.g., 2025-12-31T23:59:59Z). |
country | Array<string> | Filter by country. |
supplier | Array<string> | Filter by supplier. |
from | number | [DEFAULT: 0] Pagination start index. |
size | number | [DEFAULT: 50] Number of results to return (max 50). |
sort | object | Sorting configuration { field: string, order: "asc" | "desc" }. |
Implementation Details
- Pagination: Standard pagination using
fromandsize. Maximum page size is 50. - Date formatting: Purchase dates in the response are returned as strings and, when present, typically use the
YYYY-MM-DDrepresentation. - Filtering: Array fields act as “OR” filters — results match any of the provided values.
Body
application/json
API Search requests
Show child attributes
Show child attributes
⌘I

